import roc

class test_universe(base_universe):
	def frame(self):
		# pink triangle
		glBegin(GL_TRIANGLE_STRIP)
		glNormal3f(0.0, 0.0, 1.0)
		glColor4f(1.0, 0.0, 0.5, 1.0)
		glVertex3f(  20.0,  50.0,  1.0)
		glVertex3f(  20.0, 600.0,  1.0)
		glVertex3f( 400.0,  50.0,  1.0)
		glEnd()
	
		# yellow square
		glBegin(GL_TRIANGLE_STRIP)
		glNormal3f(0.0, 0.0, 1.0)
		glColor4f(1.0, 1.0, 0.0, 1.0)
		glVertex3f( 150.0,  20.0, -50.0)
		glVertex3f( 150.0, 400.0, -50.0)
		glVertex3f( 360.0,  20.0, -50.0)
		glVertex3f( 360.0, 400.0, -50.0)
		glEnd()
	
		# texture test
		mdl = models.mgr.create("m_test")
		mdl.render()



roc.init2d()
roc.set_universe(test_universe())
roc.main()